Bug 521725 - totem-youtube plugin doesn't work
Summary: totem-youtube plugin doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: totem
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-07 23:37 UTC by Tomasz Chrzczonowicz
Modified: 2010-05-13 14:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-13 14:54:13 UTC


Attachments (Terms of Use)

Description Tomasz Chrzczonowicz 2009-09-07 23:37:33 UTC
Description of problem:

When I want to play some YouTube video in Totem, it fails and displays a message:

"An error occurred"
"Could not open location; you might not have permission to open the file."

When run from terminal, displays also:

** Message: Error: "http://www.youtube.com/get_video?video_id=O2MmqbAaoZA&t=vjVQa1PpcFNaInN9rwcg29NmU2smMkOBM0GHuHVIVcw%253D&fmt=18": Not Found
gstsouphttpsrc.c(1084): gst_soup_http_src_parse_status (): /GstPlayBin:play/GstSoupHTTPSrc:source:
404 Not Found

This happens for every video. Note that I can view those videos from Firefox using gnash, so it's not a country issue.

Version-Release number of selected component (if applicable):

totem-2.26.3-3.fc11.i586
totem-youtube-2.26.3-3.fc11.i586

Steps to Reproduce:
1. Open the sidebar in Totem
2. Search for some YouTube video
3. Double-click the thumbnails

Comment 1 Peter Robinson 2009-09-14 12:30:05 UTC
I'm seeing this as well on Fedora 11. Same version as above. When you search for a video it finds it fine but then won't play it.

Comment 2 Paul 2009-09-28 07:18:34 UTC
 I recall it working at one time - maybe it was in 2.26.3-1.fc11.i586? Now, I have to right-click on the thumbnail, and select 'Open in Web Browser' to be able to watch it.

 In addition to the above error message, I also get (after several seconds):

Exception in thread Thread-8:
Traceback (most recent call last):
  File "/usr/lib/python2.6/threading.py", line 522, in __bootstrap_inner
    self.run()
  File "/usr/lib/totem/plugins/youtube/youtube.py", line 55, in run
    res = self.callback (*self.args, **self.kwargs)
  File "/usr/lib/totem/plugins/youtube/youtube.py", line 334, in process_next_thumbnail
    t_param = self.resolve_t_param (youtube_id)
  File "/usr/lib/totem/plugins/youtube/youtube.py", line 206, in resolve_t_param
    stream = urllib.urlopen ("http://youtube.com/watch?v=" + urllib.quote (youtube_id))
  File "/usr/lib/python2.6/urllib.py", line 87, in urlopen
    return opener.open(url)
  File "/usr/lib/python2.6/urllib.py", line 203, in open
    return getattr(self, name)(url)
  File "/usr/lib/python2.6/urllib.py", line 338, in open_http
    h.endheaders()
  File "/usr/lib/python2.6/httplib.py", line 868, in endheaders
    self._send_output()
  File "/usr/lib/python2.6/httplib.py", line 740, in _send_output
    self.send(msg)
  File "/usr/lib/python2.6/httplib.py", line 699, in send
    self.connect()
  File "/usr/lib/python2.6/httplib.py", line 683, in connect
    self.timeout)
  File "/usr/lib/python2.6/socket.py", line 498, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):
IOError: [Errno socket error] [Errno -3] Temporary failure in name resolution

 This message usually repeats, but the number after 'Thread-' varies.

Comment 3 Paul 2009-09-30 00:11:56 UTC
 After googling some more about this, I found a simple patch that seems to have fixed it for me. It's at https://bugs.launchpad.net/ubuntu/+source/totem/+bug/323649 (post #10).

 I'd post it here, but the post also gives a brief explanation if the problem.

Comment 4 Bastien Nocera 2009-10-01 14:20:58 UTC
I already fixed this quite some time ago:
http://git.gnome.org/cgit/totem/commit/?h=gnome-2-26&id=72ee356863aac922bbe3fc4fe16e7dfbf32ae647

Comment 5 Fedora Update System 2009-10-03 01:17:13 UTC
totem-2.26.3-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/totem-2.26.3-6.fc11

Comment 6 Fedora Update System 2009-10-06 10:01:42 UTC
totem-2.26.3-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update totem'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10258

Comment 7 Peter Robinson 2009-10-07 13:06:13 UTC
I can confirm that this fixes youtube for me.

Comment 8 Michal Pomorski 2009-10-25 15:42:50 UTC
using totem-2.26.3-6.fc11:

** Message: Error: GStreamer encountered a general supporting library error.
gstffmpegdemux.c(1211): gst_ffmpegdemux_open (): /GstPlayBin:play/GstDecodeBin:decodebin0/ffdemux_swf:ffdemux_swf0:
Input/output error

And youtube still does NOT work (although this time its in gstreamer probably)!

Comment 9 Peter Robinson 2009-10-25 17:14:19 UTC
(In reply to comment #8)
> using totem-2.26.3-6.fc11:
> 
> ** Message: Error: GStreamer encountered a general supporting library error.
> gstffmpegdemux.c(1211): gst_ffmpegdemux_open ():
> /GstPlayBin:play/GstDecodeBin:decodebin0/ffdemux_swf:ffdemux_swf0:
> Input/output error
> 
> And youtube still does NOT work (although this time its in gstreamer probably)!  

The original issue is fixed and a week or so ago youtube was working fine but I see the same above as well. I think it needs a different bug report.

Comment 10 Peter Robinson 2009-12-27 00:42:15 UTC
Any reason for this to remain open?

Comment 11 pankaj pandey 2010-01-17 07:35:49 UTC
This is not fixed yet as of F12 (x86_64). Trying to play videos gives the following messages in the terminal:

0:00:13.743976080 11431      0x1e37100 ERROR                  totem bacon-video-widget-gst-0.10.c:366:bvw_error_msg: message = "http://www.youtube.com/get_video?video_id=0HL-N9oOjcs&t=vjVQa1PpcFO7sRBMKTxzOaMVzOXPT0VFawfkjOTbx3s%3D&fmt=18": Forbidden
0:00:13.744046061 11431      0x1e37100 ERROR                  totem bacon-video-widget-gst-0.10.c:368:bvw_error_msg: domain  = 3375 (gst-resource-error-quark)
0:00:13.744079445 11431      0x1e37100 ERROR                  totem bacon-video-widget-gst-0.10.c:369:bvw_error_msg: code    = 5
0:00:13.744168423 11431      0x1e37100 ERROR                  totem bacon-video-widget-gst-0.10.c:370:bvw_error_msg: debug   = gstsouphttpsrc.c(1096): gst_soup_http_src_parse_status (): /GstPlayBin2:play/GstURIDecodeBin:uridecodebin0/GstSoupHTTPSrc:source:
403 Forbidden
0:00:13.744210677 11431      0x1e37100 ERROR                  totem bacon-video-widget-gst-0.10.c:371:bvw_error_msg: source  = <source>
0:00:13.744258448 11431      0x1e37100 ERROR                  totem bacon-video-widget-gst-0.10.c:372:bvw_error_msg: uri     = http://www.youtube.com/get_video?video_id=0HL-N9oOjcs&t=vjVQa1PpcFO7sRBMKTxzOaMVzOXPT0VFawfkjOTbx3s%3D&fmt=18
** Message: Error: "http://www.youtube.com/get_video?video_id=0HL-N9oOjcs&t=vjVQa1PpcFO7sRBMKTxzOaMVzOXPT0VFawfkjOTbx3s%3D&fmt=18": Forbidden
gstsouphttpsrc.c(1096): gst_soup_http_src_parse_status (): /GstPlayBin2:play/GstURIDecodeBin:uridecodebin0/GstSoupHTTPSrc:source:
403 Forbidden

Also a message box is shown with the message "Could not open location; you might not have permission to open the file."

Comment 12 Joshua Roys 2010-04-21 13:04:21 UTC
And now the patch that fixed this is needed (for F12):
https://bugzilla.gnome.org/show_bug.cgi?id=614679
2.28 backport:
http://git.gnome.org/browse/totem/commit/?h=gnome-2-28&id=0859f94a0f295ba261ef29ca36a5c107a570333c

Comment 13 Bug Zapper 2010-04-28 10:13:26 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Bastien Nocera 2010-05-13 14:54:13 UTC
If the problem still happens with the totem-2.28.6-1.fc12 update, please file a new bug.

Problem closed for F11.


Note You need to log in before you can comment on or make changes to this bug.